### Constructor

# Gtk ColumnViewColumnnew

#### Declaration [src]

    GtkColumnViewColumn*
    gtk_column_view_column_new (
      const char* title,
      GtkListItemFactory* factory
    )

#### Description [src]

Creates a new `GtkColumnViewColumn` that uses the given `factory` for mapping items to widgets.

You most likely want to call `gtk_column_view_append_column()` next.

The function takes ownership of the argument, so you can write code like:

    column = gtk_column_view_column_new (_("Name"),
      gtk_builder_list_item_factory_new_from_resource ("/name.ui"));

#### Parameters

`title`

  Type: `const char*`

  Title to use for this column.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`factory`

  Type: `GtkListItemFactory`

  The factory to populate items with.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkColumnViewColumn`

A new `GtkColumnViewColumn` using the given `factory`.

The caller of the function takes ownership of the data, and is responsible for freeing it.